<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>netstandard2.0</TargetFramework>
        <Configurations>Debug</Configurations>
        <Platforms>AnyCPU</Platforms>
        <Nullable>enable</Nullable>
        <WarningsAsErrors>CS8600;CS8601;CS8602;CS8603;CS8604;CS8618</WarningsAsErrors>
        <LangVersion>8</LangVersion>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Debug' ">
      <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    </PropertyGroup>
    <ItemGroup>
        <Content Include="Native\*.so.*">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
            <Link>%(Filename)%(Extension)</Link>
        </Content>
    </ItemGroup>
    <ItemGroup>
      <PackageReference Include="Nullable" Version="1.2.1">
        <PrivateAssets>all</PrivateAssets>
        <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      </PackageReference>
    </ItemGroup>
</Project>
